'use strict';

require('node-assist');

var _installBats = require('./commands/installBats');

var _installBats2 = _interopRequireDefault(_installBats);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _launch = require('./commands/launch');

var _launch2 = _interopRequireDefault(_launch);

var _findProcess = require('./commands/findProcess');

var _findProcess2 = _interopRequireDefault(_findProcess);

var _pack = require('./commands/pack');

var _pack2 = _interopRequireDefault(_pack);

var _unpack = require('./commands/unpack');

var _unpack2 = _interopRequireDefault(_unpack);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_yargs2.default.help('h').alias('h', 'help').usage('Usage: pefish [command] [options]').command('install_bats', '安装常用批处理', function (yargs) {
  yargs.help('h').alias('h', 'help').usage('Usage: pefish install_bats [options]').option('l', {
    alias: 'list',
    demand: false,
    type: 'bool'
  });
}, function (argv) {
  (0, _installBats2.default)(argv).catch(function (err) {
    logger.error(err);
    process.exit(1);
  });
}).command('launch', '启动应用', function (yargs) {
  yargs.help('h').alias('h', 'help').usage('Usage: pefish launch [options]').option('n', {
    alias: 'name',
    description: '要启动的应用名称',
    demand: true,
    type: 'string'
  }).option('s', {
    alias: 'screenName',
    description: 'screen的名字',
    demand: false,
    type: 'string'
  }).option('d', {
    alias: 'daemon',
    description: '是否后台启动',
    demand: false,
    default: true,
    type: 'boolean'
  });
}, function (argv) {
  (0, _launch2.default)(argv).catch(function (err) {
    logger.error(err);
    process.exit(1);
  });
}).command('find_process', '查找进程', function (yargs) {
  yargs.help('h').alias('h', 'help').usage('Usage: pefish process [options]').option('p', {
    alias: 'port',
    description: '要查找的端口',
    demand: false,
    type: 'number'
  }).option('n', {
    alias: 'name',
    description: '要查找的名字',
    demand: false,
    type: 'string'
  }).option('pid', {
    description: 'pid',
    demand: false,
    type: 'number'
  });
}, function (argv) {
  (0, _findProcess2.default)(argv).catch(function (err) {
    logger.error(err);
    process.exit(1);
  });
}).command('pack', '打包', function (yargs) {
  yargs.help('h').alias('h', 'help').usage('Usage: pefish pack <dirname> [options]').option('t', {
    alias: 'type',
    description: '要压缩到的格式',
    demand: true,
    default: 'tar',
    type: 'string'
  });
}, function (argv) {
  (0, _pack2.default)(argv).catch(function (err) {
    logger.error(err);
    process.exit(1);
  });
}).command('unpack', '解包', function (yargs) {
  yargs.help('h').alias('h', 'help').usage('Usage: pefish unpack <filename> [options]').option('t', {
    alias: 'type',
    description: '要解压缩到的格式',
    demand: false,
    type: 'string'
  });
}, function (argv) {
  (0, _unpack2.default)(argv).catch(function (err) {
    logger.error(err);
    process.exit(1);
  });
}).epilog('copyright 2017').argv; /**
                                   * Created by joy on 27/10/2017.
                                   */